Class WebTemplateLoaderImpl
java.lang.Object
net.officefloor.web.template.build.AbstractWebTemplateFactory
net.officefloor.web.template.type.WebTemplateLoaderImpl
- All Implemented Interfaces:
SourceIssues,OfficeFloorCompilerRunnable<WebTemplateLoader>,WebTemplateFactory,WebTemplateLoader
public class WebTemplateLoaderImpl
extends AbstractWebTemplateFactory
implements OfficeFloorCompilerRunnable<WebTemplateLoader>, WebTemplateLoader, SourceIssues
WebTemplateLoader implementation.- Author:
- Daniel Sagenschneider
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionAllows the source to add an issue.Allows the source to add an issue along with its cause.protected WebTemplateaddTemplate(boolean isSecure, String applicationPath, PropertyList properties) Adds theWebTemplate.protected PropertyListCreates aPropertyList.protected SourceIssuesObtains theSourceIssues.protected booleanisPathParameters(String applicationPath) Indicates if path parameters.loadWebTemplateType(WebTemplate webTemplate) Loads theWebTemplateTypefor theWebTemplate.run(OfficeFloorCompiler compiler, Object[] parameters) Contains the runnable functionality.Methods inherited from class net.officefloor.web.template.build.AbstractWebTemplateFactory
addTemplate, addTemplateMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface net.officefloor.web.template.build.WebTemplateFactory
addTemplate, addTemplate
-
Constructor Details
-
WebTemplateLoaderImpl
public WebTemplateLoaderImpl()Instantiate forOfficeFloorCompilerRunnable.
-
-
Method Details
-
run
Description copied from interface:OfficeFloorCompilerRunnableContains the runnable functionality.- Specified by:
runin interfaceOfficeFloorCompilerRunnable<WebTemplateLoader>- Parameters:
compiler-OfficeFloorCompilerloaded with theClassLoader.parameters- Parameters. AsProxyinstances are used to bridgeClasscompatibility issues of using differentClassLoaderinstances, parameters should only be referenced by their implementing interfaces.- Returns:
- Result from runnable.
- Throws:
Exception- If failure in running.
-
addIssue
Description copied from interface:SourceIssuesAllows the source to add an issue.
This is available to report invalid configuration.
- Specified by:
addIssuein interfaceSourceIssues- Parameters:
issueDescription- Description of the issue.- Returns:
CompileErrorto be used inthrowstatement when addingCompilerIssueto avoid further compiling.
-
addIssue
Description copied from interface:SourceIssuesAllows the source to add an issue along with its cause.
This is available to report invalid configuration.
- Specified by:
addIssuein interfaceSourceIssues- Parameters:
issueDescription- Description of the issue.cause- Cause of the issue.- Returns:
CompileErrorto be used inthrowstatement when addingCompilerIssueto avoid further compiling.
-
createPropertyList
Description copied from class:AbstractWebTemplateFactoryCreates aPropertyList.- Specified by:
createPropertyListin classAbstractWebTemplateFactory- Returns:
- New
PropertyList.
-
getSourceIssues
Description copied from class:AbstractWebTemplateFactoryObtains theSourceIssues.- Specified by:
getSourceIssuesin classAbstractWebTemplateFactory- Returns:
SourceIssues.
-
isPathParameters
Description copied from class:AbstractWebTemplateFactoryIndicates if path parameters.- Specified by:
isPathParametersin classAbstractWebTemplateFactory- Parameters:
applicationPath- Application path.- Returns:
trueif path parameters.
-
addTemplate
protected WebTemplate addTemplate(boolean isSecure, String applicationPath, PropertyList properties) Description copied from class:AbstractWebTemplateFactoryAdds theWebTemplate.- Specified by:
addTemplatein classAbstractWebTemplateFactory- Parameters:
isSecure- Indicates if requires secureServerHttpConnectionto render theWebTemplate.applicationPath- Application path to theWebTemplate. May contain path parameters.properties- InitialPropertiesfor theWebTemplatethat should be further configured by the returnedWebTemplateimplementation.- Returns:
WebTemplate.
-
loadWebTemplateType
Description copied from interface:WebTemplateLoaderLoads theWebTemplateTypefor theWebTemplate.- Specified by:
loadWebTemplateTypein interfaceWebTemplateLoader- Parameters:
webTemplate- ConfiguredWebTemplateto provide the type information.- Returns:
WebTemplateTypefor theWebTemplate.
-